Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.solver
Class DefaultSolverScope

    java.lang.Object
      org.drools.planner.core.solver.DefaultSolverScope

    public class DefaultSolverScope

extends Object

Field Summary
`protected Score` | `bestScore`
`protected Solution` | `bestSolution`
`protected org.slf4j.Logger` | `logger`
`protected boolean` | `restartSolver`
`protected ScoreDirector` | `scoreDirector`
`protected Score` | `startingInitializedScore`
`protected long` | `startingSystemTimeMillis`
`protected Random` | `workingRandom`

Constructor Summary
`DefaultSolverScope()`

Method Summary
`void` | `assertWorkingScore(Score workingScore)`
`Score` | `calculateScore()`
`long` | `calculateTimeMillisSpend()`
`Score` | `getBestScore()`
`Solution` | `getBestSolution()`
`long` | `getCalculateCount()`
`ScoreDefinition` | `getScoreDefinition()`
`ScoreDirector` | `getScoreDirector()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`Score` | `getStartingInitializedScore()`
`long` | `getStartingSystemTimeMillis()`
`List<Object>` | `getWorkingPlanningEntityList()`
`Random` | `getWorkingRandom()`
`Solution` | `getWorkingSolution()`
`boolean` | `isRestartSolver()`
`boolean` | `isWorkingSolutionInitialized()`
`void` | `setBestScore(Score bestScore)`
`void` | `setBestSolution(Solution bestSolution)` The bestSolution must never be the same instance as the workingSolution, it should be a (un)changed clone.
`void` | `setRestartSolver(boolean restartSolver)`
`void` | `setScoreDirector(ScoreDirector scoreDirector)`
`void` | `setStartingInitializedScore(Score startingInitializedScore)`
`void` | `setStartingSystemTimeMillis(long startingSystemTimeMillis)`
`void` | `setWorkingRandom(Random workingRandom)`
`void` | `setWorkingSolutionFromBestSolution()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### restartSolver

    protected boolean restartSolver

### startingSystemTimeMillis

    protected long startingSystemTimeMillis

### scoreDirector

    protected ScoreDirector scoreDirector

### workingRandom

    protected Random workingRandom

### startingInitializedScore

    protected Score startingInitializedScore

### bestSolution

    protected Solution bestSolution

### bestScore

    protected Score bestScore

Constructor Detail

### DefaultSolverScope

    public DefaultSolverScope()

Method Detail

### isRestartSolver

    public boolean isRestartSolver()

### getStartingSystemTimeMillis

    public long getStartingSystemTimeMillis()

### setStartingSystemTimeMillis

    public void setStartingSystemTimeMillis(long startingSystemTimeMillis)

### setRestartSolver

    public void setRestartSolver(boolean restartSolver)

### getScoreDirector

    public ScoreDirector getScoreDirector()

### setScoreDirector

    public void setScoreDirector(ScoreDirector scoreDirector)

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

### getWorkingSolution

    public Solution getWorkingSolution()

### getWorkingPlanningEntityList

    public List<Object> getWorkingPlanningEntityList()

### isWorkingSolutionInitialized

    public boolean isWorkingSolutionInitialized()

### calculateScore

    public Score calculateScore()

### assertWorkingScore

    public void assertWorkingScore(Score workingScore)

### getWorkingRandom

    public Random getWorkingRandom()

### setWorkingRandom

    public void setWorkingRandom(Random workingRandom)

### getStartingInitializedScore

    public Score getStartingInitializedScore()

### setStartingInitializedScore

    public void setStartingInitializedScore(Score startingInitializedScore)

### getCalculateCount

    public long getCalculateCount()

### getBestSolution

    public Solution getBestSolution()

### setBestSolution

    public void setBestSolution(Solution bestSolution)

  The bestSolution must never be the same instance as the workingSolution, it should be a (un)changed clone.

  Parameters:
    `bestSolution` - never null

### getBestScore

    public Score getBestScore()

### setBestScore

    public void setBestScore(Score bestScore)

### calculateTimeMillisSpend

    public long calculateTimeMillisSpend()

### setWorkingSolutionFromBestSolution

    public void setWorkingSolutionFromBestSolution()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.